#include "SurvivorInteractable.h"
#include "ChargeableComponent.h"
#include "ActivatorComponent.h"
#include "Interactor.h"

class UInteractionDefinition;
class ASurvivor;

void ASurvivorInteractable::UpdateTargetHPSlot()
{

}

void ASurvivorInteractable::SetKillInteraction(UInteractionDefinition* killInteraction) const
{

}

void ASurvivorInteractable::ServerMoveOut_Implementation()
{

}

ASurvivor* ASurvivorInteractable::GetOwningSurvivor() const
{
	return NULL;
}

ASurvivorInteractable::ASurvivorInteractable()
{
	this->_killCharge = CreateDefaultSubobject<UChargeableComponent>(TEXT("KillCharge"));
	this->_activator = CreateDefaultSubobject<UActivatorComponent>(TEXT("Activator"));
	this->_healingInteractor1 = CreateDefaultSubobject<UInteractor>(TEXT("HealingInteractor1"));
}
